petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAElementType

Defines the type of elements that will be returned by DMDAGetElements()

### Synopsis

    typedef enum { DMDA_ELEMENT_P1, DMDA_ELEMENT_Q1 } DMDAElementType;

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMCreateInterpolation(), DMDASetInterpolationType(),
DMDASetElementType(), DMDAGetElements(), DMDARestoreElements(), DMDACreate()

### Level

beginner

### Location

src/dm/impls/da/../../../../include/petscdmdatypes.h

### Examples

src/dm/examples/tutorials/ex5.c.html
src/dm/examples/tutorials/ex20.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
src/ksp/ksp/examples/tutorials/ex71.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages